Ticket #31796

「文字の読み上げ」無効のときの日本語文字変換候補の読み上げ

Open Date: 2013-07-29 07:27 Last Update: 2013-10-16 17:49

Reporter: nishimoto Owner: (None)
Type: Support Request Status: Closed
Component: (None) MileStone: 2013.3jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

NVDA 2013.1.1jp での日本語入力サポートはキーボード設定「文字の読み上げ」が有効であることを前提に実装されています。

文字の読み上げを無効にしたときに、キーエコーはしないが、変換候補は詳細読みされる、という挙動が期待されます。

しかし現状では ATOK では変換候補の詳細読みができず、Microsoft IME では、最初の候補は通知しないで、候補ウィンドウが表示される第2候補から詳細読みする、という挙動になっています。

Attachment File List

No attachments

Ticket History (3/4 Histories)

2013-07-29 07:27 Updated by: nishimoto
  • New Ticket "「文字の読み上げ」無効のときの日本語文字変換候補の読み上げ" created
2013-09-20 08:53 Updated by: nishimoto
Comment

ti31796 ブランチで本件の作業に取り掛かっています。

  To ssh://git@bitbucket.org/nvdajp/nvdajp.git
  * [new branch]      ti31796 -> ti31796

もともとの本家のロジックが、文字の読み上げ無効のときに inputComposition モジュールの reportNewText を完全にスキップしています。

今回の修正は、本家のロジックの大幅な書き換えが必要なため、現状では「日本語の文字入力拡張」をオフにしたときの挙動が非互換になっている可能性があります。

2013-10-11 23:28 Updated by: nishimoto
  • Resolution Update from None to Fixed
Comment

本チケットについては現在の jpnext131010 の実装で完了として 2013.3jp に取り入れたいと思います。

「文字の読み上げ」無効「単語の読み上げ」有効で使って、もし不具合があればお早目にお知らせください。

2013-10-16 17:49 Updated by: nishimoto
  • Ticket Close date is changed to 2013-10-16 17:49
  • Status Update from Open to Closed

Edit

Please login to add comment to this ticket » Login